NOVA(1)

NAME
nova - Command-line interface to the OpenStack Compute API.

SYNOPSIS
nova [ --username USERNAME ] [ --apikey APIKEY ] [ --url AUTH_URL ] <subcommand>

DESCRIPTION
nova is a command line interface to the OpenStack Compute API.

COMMAND OVERVIEW

nova actions
    Retrieve server actions.

nova backup-schedule
    Show or edit the backup schedule for a server.

nova backup-schedule-delete
    Delete the backup schedule for a server.

nova boot
    Boot a new server.

nova delete
    Immediately shut down and delete a server.

nova diagnostics
    Retrieve server diagnostics.

nova flavor-list
    Print a list of available 'flavors' (sizes of servers).

nova help
    Display help about this program or one of its subcommands.

nova image-create
    Create a new image by taking a snapshot of a running server.

nova image-delete
    Delete an image.

nova image-list
    Print a list of available images to boot from.

nova ip-share
    Share an IP address from the given IP group onto a server.

nova ip-unshare
    Stop sharing an given address with a server.

nova ipgroup-create
    Create a new IP group.

nova ipgroup-delete
    Delete an IP group.

nova ipgroup-list
    Show IP groups.

nova ipgroup-show
    Show details about a particular IP group.

nova list
    List active servers.

nova pause
    Pause a server.

nova reboot
    Reboot a server.

nova rebuild
    Shutdown, re-image, and re-boot a server.

nova rename
    Rename a server.

nova rescue
    Rescue a server.

nova resize
    Resize a server.

nova resize-confirm
    Confirm a previous resize.

nova resize-revert
    Revert a previous resize (and return to the previous VM).

nova resume
    Resume a server.

nova root-password
    Change the root password for a server.

nova show
    Show details about the given server.

nova suspend
    Suspend a server.

nova unpause
    Unpause a server.

nova unrescue
    Unrescue a server.

nova zone
    Show or edit a child zone.

nova zone-add
    Add a new child zone.

nova zone-delete
    Delete a zone.

nova zone-info
    Get this zones name and capabilities.

nova zone-list
    List the children of a zone.

  Optional arguments:

--username USERNAME
    Defaults to env[NOVA_USERNAME].

--apikey APIKEY
    Defaults to env[NOVA_API_KEY].

--url AUTH_URL
    Defaults to https://auth.api.rackspacecloud.com/v1.0 or env[NOVA_URL] if defined.

See "nova help COMMAND" for help on a specific command.